# *0.7.0*

Fifteenth release of RainbowCake.

## What's new:

### AndroidX migration

RainbowCake has been migrated to AndroidX dependencies instead of the support libraries, and no longer supports projects built on the support library. A year and a half after release of AndroidX, this seemed like a reasonable time to make the jump.

### `JobViewModel` deprecation

The `JobViewModel` class that provides the coroutine integration of the framework (via `execute`) is now deprecated, and will be removed in a couple releases. Its functionality has been pulled up into the `RainbowCakeViewModel` base class, which now handles view state, events, and coroutine support. Having just one ViewModel base class in the framework should make things less confusing.

Please replace any usages of `JobViewModel` with `RainbowCakeViewModel` (you get IDE support for this, so it should be trivial).

### Channel module deprecation

The `rainbow-cake-channels` module has been deprecated, and will be removed in an upcoming release entirely. Coroutine Flows should replace most usages of channels at this point. 

### Small stuff

- Some method visibilities have been restricted in `RainbowCakeFragment`. These method should not be called anywhere outside of descendants of the `Fragment`.
- The `observeStateAndEvents` testing function now has a variant that can observe queued events, in addition to view state and events.
- The `requireArguments` method is now deprecated, as the AndroidX `Fragment` class includes the method, making the extension unnecessary.
- Added some new unit tests for `SingleShotLiveData`.
- Small project configuration updates, dependency version bumps, etc.
